OpenVDB: HoudiniInterrupter Class Reference

OpenVDB 10.0.1

Public Member Functions | List of all members
HoudiniInterrupter Class Referencefinal

Wrapper class that adapts a Houdini `UT_Interrupt` object for use with OpenVDB library routines. More...

`#include <openvdb_houdini/Utils.h>`

Inherits NullInterrupter.

## Public Member Functions
| HoudiniInterrupter (const char *title=nullptr)
| ~HoudiniInterrupter () override final
| HoudiniInterrupter (const HoudiniInterrupter &)=default
HoudiniInterrupter & | operator= (const HoudiniInterrupter &)=default
void | start (const char *name=nullptr) override final
| Signal the start of an interruptible operation. More...
void | end () override final
| Signal the end of an interruptible operation. More...
bool | wasInterrupted (int percent=-1) override final
| Check if an interruptible operation should be aborted. More...

## Detailed Description

Wrapper class that adapts a Houdini `UT_Interrupt` object for use with OpenVDB library routines.

See also
  openvdb/util/NullInterrupter.h

## Constructor & Destructor Documentation

## ◆ HoudiniInterrupter() [1/2]

HoudiniInterrupter | ( | const char * | title = `nullptr` | ) |
| inlineexplicit

## ◆ ~HoudiniInterrupter()

~HoudiniInterrupter | ( |  | ) |
| inlinefinaloverride

## ◆ HoudiniInterrupter() [2/2]

HoudiniInterrupter | ( | const HoudiniInterrupter & |  | ) |
| default

## Member Function Documentation

## ◆ end()

void end | ( |  | ) |
| inlinefinaloverride

Signal the end of an interruptible operation.

## ◆ operator=()

HoudiniInterrupter & operator= | ( | const HoudiniInterrupter & |  | ) |
| default

## ◆ start()

void start | ( | const char * | name = `nullptr` | ) |
| inlinefinaloverride

Signal the start of an interruptible operation.

Parameters

  name | an optional descriptive name for the operation

## ◆ wasInterrupted()

bool wasInterrupted | ( | int | percent = `-1` | ) |
| inlinefinaloverride

Check if an interruptible operation should be aborted.

Parameters

  percent | an optional (when >= 0) percentage indicating the fraction of the operation that has been completed